/report/insight/metrics/revenue
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/metrics/revenue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/metrics/revenue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/metrics/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"currency": "GBP",
"dates": [
"2025-11-17",
"2025-11-18",
"2025-11-19",
"2025-11-20",
"2025-11-21",
"2025-11-22",
"2025-11-23"
],
"current_period": [
{
"revenue": 6284.658974,
"impressions": 571135
},
{
"revenue": 6359.95441,
"impressions": 621809
},
{
"revenue": 6081.900432,
"impressions": 622235
},
{
"revenue": 5509.869959,
"impressions": 578912
},
{
"revenue": 5224.176689,
"impressions": 606658
},
{
"revenue": 4537.890002,
"impressions": 587187
},
{
"revenue": 3914.864338,
"impressions": 469885
}
],
"seven_day_offset": [
{
"revenue": 5825.828681,
"impressions": 490441
},
{
"revenue": 5515.939603,
"impressions": 475426
},
{
"revenue": 8266.190103,
"impressions": 594594
},
{
"revenue": 6435.707133,
"impressions": 533811
},
{
"revenue": 6287.802826,
"impressions": 533826
},
{
"revenue": 3618.160349,
"impressions": 336794
},
{
"revenue": 3867.760196,
"impressions": 338900
}
],
"previous_period": [
{
"revenue": 5825.828681,
"impressions": 490441
},
{
"revenue": 5515.939603,
"impressions": 475426
},
{
"revenue": 8266.190103,
"impressions": 594594
},
{
"revenue": 6435.707133,
"impressions": 533811
},
{
"revenue": 6287.802826,
"impressions": 533826
},
{
"revenue": 3618.160349,
"impressions": 336794
},
{
"revenue": 3867.760196,
"impressions": 338900
}
]
},
"success": true
}Reporting/Insights Hub/Metrics
/report/insight/metrics/revenue
View revenue over time, including the previous period and a 7 day offset, helping to spot trends
GET
/
v1
/
report
/
insight
/
metrics
/
revenue
/report/insight/metrics/revenue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Publisher ID
Date range. All ranges exclude today and run up to yesterday
Available options:
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
Date grouping when range=custom
Available options:
day, month, year Revenue type
Available options:
gross, net Revenue source, SaaS or Plug&Play (pap)
Available options:
all, pap, saas Environment or platform to report from
Available options:
all, app, web Was this page helpful?
⌘I